Package org.eclipse.jdt.core.util

# Interface IInnerClassesAttribute

All Superinterfaces:
  `IClassFileAttribute`

public interface IInnerClassesAttribute extends IClassFileAttribute
Description of a inner class attribute as described in the JVM specifications. This interface may be implemented by clients.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`IInnerClassesAttributeEntry[]`
`getInnerClassAttributesEntries()`
Answer back the array of inner attribute entries as specified in the JVM specifications, or an empty array if none.
`int`
`getNumberOfClasses()`
Answer back the number of inner classes infos as specified in the JVM specifications.

### Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

## Method Details

### getNumberOfClasses

int getNumberOfClasses()
Answer back the number of inner classes infos as specified in the JVM specifications.

Returns:
  the number of inner classes infos as specified in the JVM specifications

### getInnerClassAttributesEntries

IInnerClassesAttributeEntry[] getInnerClassAttributesEntries()
Answer back the array of inner attribute entries as specified in the JVM specifications, or an empty array if none.

Returns:
  the array of inner attribute entries as specified in the JVM specifications, or an empty array if none